:root {
    --mawad-primary: #ff6600;
    --mawad-accent: #0f5257;
}

::selection {
    background-color: var(--mawad-primary);
    color: #ffffff;
}
/* (Legacy support) */
::-moz-selection {
    background-color: var(--mawad-primary);
    color: #ffffff;
}

::-webkit-scrollbar {
    width: 6px;
}
::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
    border-radius: 6px;
}
::-webkit-scrollbar-thumb {
    background: #919598;
    border-radius: 6px;
}

.auth_wrapper {
    position: relative;
    height: 100vh;
    background-image: url(../../img/marketplace/buyer_auth_bg_optimized.jpg);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    backdrop-filter: blur(2px);
    overflow-x: hidden;
}

.auth_wrapper::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 15px;
    width: 280px;
    height: 45%;
    background-image: url(../../img/marketplace/mawad_icon_opt.png);
    background-position: left center;
    background-repeat: no-repeat;
    background-size: contain;
    mix-blend-mode: overlay;
    /* mix-blend-mode: soft-light; */
    opacity: 0.7;
}

.auth_wrapper::after {
    background: linear-gradient(
        180deg,
        #b2b2b2 32.87%,
        #6b6b6b 51.14%,
        #000000 82.22%
    );
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    mix-blend-mode: soft-light;
}

.app-banner {
    background-color: var(--mawad-accent);
    margin-bottom: 0;
    border: none;
    border-radius: 0 !important;
    padding-right: 1rem !important;
    padding-left: 3rem !important;
    color: #fff;
}

.app-banner .btn-close {
    left: 0;
    right: auto !important;
    filter: invert(1);
    opacity: 1;
}

.app-banner p {
    font-size: 0.9rem;
}

.app-banner p strong {
    font-weight: 700;
}

.app-banner span {
    font-size: 12px;
}

.auth_wrapper .section {
    border: 24px solid #fff;
}

.auth_wrapper .row .section:first-child {
    background: rgba(0, 0, 0, 0.2);
    border-right-width: 12px !important;
    color: #fff;
}

.auth_wrapper .row .section:first-child a {
    color: #fff;
    text-decoration: none;
    font-size: 1.1rem;
    font-weight: 600;
    transition: all ease-in-out 0.2s;
}

.auth_wrapper .row .section:first-child a:hover {
    transform: scale(1.01);
}

.auth_wrapper .row .section:first-child h2 {
    font-size: 4rem;
    font-weight: 600;
}

.auth_wrapper .row .section:first-child h3 {
    font-size: 1.7rem;
    font-weight: 600;
    line-height: 1.3;
    letter-spacing: 2px;
}

.auth_wrapper .row .section:last-child {
    background-color: #fff;
    border-left-width: 12px !important;
    max-height: 100%;
    overflow-y: auto;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
}

main img.main_logo {
    transition: all ease-in-out 0.2s;
}

main img.main_logo:hover {
    transform: scale(1.02);
}

main h1 {
    font-size: 2rem;
    font-weight: 600;
    color: var(--mawad-accent);
}

main p,
a {
    color: #3d3d3d;
    font-size: 0.95rem;
}

label {
    font-size: 0.82rem;
    color: #29292b;
}

.input-error,
.is_required {
    color: #c83d50 !important;
    font-size: 0.8rem;
}

.password-toggle {
    border-color: #bfc2c4 !important;
    opacity: 0.8;
    transition: opacity ease-in-out 0.2s;
}

.password-toggle:hover {
    opacity: 1;
}

.form-control:focus + .password-toggle {
    border-color: #ff6600 !important;
    border-width: 2px !important;
}

.is-invalid + .password-toggle,
.is-invalid {
    border-color: #c83d50 !important;
    border-width: 2px !important;
}

.social_login_wrapper h2 {
    font-size: 0.9rem;
    color: #767676;
    font-weight: 500;
    position: relative;
    z-index: 2;
}

.social_login_wrapper h2::before,
.social_login_wrapper h2::after {
    position: absolute;
    content: "";
    width: 28%;
    height: 1px;
    background-color: #767676;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0.7;
}

.social_login_wrapper h2::before {
    left: 0;
}

.social_login_wrapper h2::after {
    right: 0;
}

.social_login_wrapper ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.social_login_wrapper ul li button {
    padding: 5px;
    width: 38px;
    aspect-ratio: 1;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 50px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    opacity: 0.9;
    transition: all ease-in-out 0.2s;
    margin-top: 0.7rem;
}

.social_login_wrapper ul li button:hover {
    opacity: 1;
    transform: translateY(-3px) scale(1.02);
}

.googleAuth-btn,
.googleAuth-btn:hover,
.googleAuth-btn:active {
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.8);
}

.appleAuth-btn,
.appleAuth-btn:hover,
.appleAuth-btn:active {
    background-color: #000;
    border: 1px solid rgba(0, 0, 0, 0.8);
}

.appleAuth-btn img {
    filter: invert(1);
    margin-bottom: 2px;
}

.social_login_wrapper ul li button img {
    object-fit: contain;
    width: 20px;
}

.primary-link {
    color: var(--mawad-primary);
    font-weight: 500;
    transition: all ease-in-out 0.2s;
}

.primary-link:hover {
    color: var(--mawad-accent);
    font-weight: 600;
}

.secondary-link {
    color: var(--mawad-accent);
    font-weight: 500;
    transition: all ease-in-out 0.2s;
}

.secondary-link:hover {
    color: var(--mawad-primary);
    font-weight: 600;
}

.btn {
    font-size: 0.9rem;
    text-transform: capitalize;
}

.otp-timer-display {
    font-weight: 600;
    color: var(--mawad-primary);
}

.password-rules li {
    color: #29292b;
    font-size: 0.82rem;
    margin-bottom: 3px;
    display: flex;
    align-items: center;
    transition: all ease 0.1s;
}

.password-rules li i {
    font-size: 1rem;
    line-height: 1;
}

.password-rules li.valid {
    color: #209e00;
    font-weight: 500;
    font-size: 0.8rem;
}

.password-rules li.invalid {
    color: #c83d50;
    font-weight: 500;
    font-size: 0.8rem;
}

.alert.alert-success {
    font-size: 0.85rem;
    border-radius: 0px;
    padding: 0.85rem;
}

/* .alert-auto-fade {
    animation: fadeOutAlert 0.5s ease 3s forwards;
}

@keyframes fadeOutAlert {
    to {
        opacity: 0;
        visibility: hidden;
    }
} */

.mobile_quickaccess {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px;
    z-index: 999;
}

.mobile_quickaccess ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    align-items: center;
    justify-content: center;
}

@media screen and (max-width: 767px) {
    /* .auth_wrapper {
        padding-bottom: 50px;
    } */
    .auth_wrapper .row .section {
        border: none !important;
    }
}

@media screen and (max-width: 1024px) {
    .auth_wrapper .row .section:first-child h2 {
        font-size: 3rem;
    }
    .auth_wrapper .row .section:first-child h3 {
        font-size: 1.5rem;
    }
}

.t-otp {
    display: flex;
    justify-content: center;
    gap: 6px;
}

@media (min-width: 360px) {
    .t-otp {
        gap: 10px;
    }
}

.t-otp input {
    width: 52px;
    height: 52px;
    font-size: 22px;
    text-align: center;
    padding: 5px;
    border: 2px solid #ddd;
    transition: all 0.2s ease;
    font-weight: 600;
    /* -moz-appearance: textfield; */
}

.t-otp input::-webkit-outer-spin-button,
.t-otp input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

#nprogress .bar {
    height: 4px !important;
    background-color: var(--mawad-primary) !important;
}

#nprogress .peg {
    height: 4px !important;
}
